﻿Public Class Form1

    ' 針對 Form 物件的 Location 屬性製作的震動效果

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        ' 定義 origin 為 Point 物件
        ' 註：form在畫面上的位置是以Point記錄。
        '     Point內有兩個數值：X及Y，分別記錄
        '     form的座標位置
        Dim origin As Point

        ' 記錄form原本的位置於origin內
        origin.X = Me.Location.X
        origin.Y = Me.Location.Y

        ' Me即 Form1，以下指令把Form1的位置稍為更改
        Me.Location = New Point(Me.Location.X + 10, Me.Location.Y + 5)
        ' 令程式停頓50毫秒，以減慢Form1的震動速度
        ' 否則Form1會震動太快
        System.Threading.Thread.Sleep(50)
        Me.Location = New Point(Me.Location.X - 5, Me.Location.Y + 5)
        System.Threading.Thread.Sleep(50)
        Me.Location = New Point(Me.Location.X - 10, Me.Location.Y - 15)
        System.Threading.Thread.Sleep(50)
        Me.Location = New Point(Me.Location.X + 4, Me.Location.Y + 2)
        System.Threading.Thread.Sleep(50)
        ' 恢復Form1至原來的位置
        Me.Location = New Point(origin.X, origin.Y)

    End Sub
End Class
